function onCreate()
    addHaxeLibrary('Character', 'objects')
    runHaxeCode([[
        var tragadick:Character;

        tragadick = new Character(-800, -300, 'ardilla', true);
        tragadick.scrollFactor.set(0.95, 0.95);
        //tragadick.alpha = 0;
        game.gfGroup.add(tragadick);
        setVar('tragadick', tragadick);
    ]])
end

function opponentNoteHit(index, noteData, noteType, isSustainNote)
    if noteType == 'Enemyextra1' then
        playAnim('tragadick', getProperty('singAnimations['..noteData..']'), true)
        runTimer('start', 0.4);
        setProperty('tragadick.holdTimer', 0)
    end
end

function onCountdownTick(c)
    if getProperty('tragadick.animation.curAnim.finished') then
        if not getProperty('tragadick.animation.curAnim.name'):find('sing') then
            playAnim('tragadick', 'idle', true)
        end
    end
end

function onBeatHit()
    if curBeat % 2 == 0 then
        if getProperty('tragadick.animation.curAnim.finished') then
            if not getProperty('tragadick.animation.curAnim.name'):find('sing') then
                playAnim('tragadick', 'idle', true)
            end
        end
    end
end

function onTimerCompleted(tag, loops, loopsLeft)
    if tag == 'start' then
 playAnim('tragadick', 'idle', true)
end
end